# Class JakartaServletDiskFileUpload

java.lang.Object
org.apache.commons.fileupload2.core.AbstractFileUpload<jakarta.servlet.http.HttpServletRequest, DiskFileItem, DiskFileItemFactory>
org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletFileUpload<DiskFileItem, DiskFileItemFactory>
org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload

public class JakartaServletDiskFileUpload extends JakartaServletFileUpload<DiskFileItem, DiskFileItemFactory>
A JakartaServletFileUpload for `DiskFileItem` and `DiskFileItemFactory`.

## Field Summary

### Fields inherited from class AbstractFileUpload

`ATTACHMENT, CONTENT_DISPOSITION, CONTENT_LENGTH, CONTENT_TYPE, FORM_DATA, MULTIPART, MULTIPART_FORM_DATA, MULTIPART_MIXED`

## Constructor Summary

Constructors
Constructor
Description
`JakartaServletDiskFileUpload()`
Constructs a new instance.
`JakartaServletDiskFileUpload(DiskFileItemFactory fileItemFactory)`
Constructs a new instance.

## Method Summary

### Methods inherited from class JakartaServletFileUpload

`getItemIterator, isMultipartContent, parseParameterMap, parseRequest`

### Methods inherited from class AbstractFileUpload

`getBoundary, getFieldName, getFileItemFactory, getFileName, getHeaderCharset, getItemIterator, getMaxFileCount, getMaxFileSize, getMaxPartHeaderSize, getMaxSize, getParsedHeaders, getProgressListener, isMultipartContent, isMultipartRequestMethod, newFileItemHeaders, parseParameterMap, parseRequest, setFileItemFactory, setHeaderCharset, setMaxFileCount, setMaxFileSize, setMaxPartHeaderSize, setMaxSize, setProgressListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JakartaServletDiskFileUpload

public JakartaServletDiskFileUpload()
Constructs a new instance.

### JakartaServletDiskFileUpload

public JakartaServletDiskFileUpload(DiskFileItemFactory fileItemFactory)
Constructs a new instance.

Parameters:
  `fileItemFactory` - The factory to use for creating file items.